// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Module: CheckExpr
// Author: Hassan Siddiqui
//
// Description: 
//
// A simple tool to check whether a selection expression
// contains any entries of type "true".
//
// Modifications: See ChangeLog
// 
// $Id: CheckExpr.h,v 1.2 2004/08/17 14:02:56 rsaxton Exp $

#ifndef CheckExpr_H
#define CheckExpr_H

// General classes
#include <iostream>

// SAS-specific classes

// General utility functions

// Local classes


class CheckExpr
{
public:

  /* Returns false if there is more than one
     component in string that does not contain
     the substring "true" */
  static bool check(const string & str);
  static bool hasMask(const string & str);

private:

  CheckExpr();
  
};
#endif
