// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Module: MissingPixCorrector
// Author: Richard Saxton
//
// Description: 
//
// Point source implementation of an Encircled Energy Corrector class
//
// Modifications: See ChangeLog
// 
// $Id: MissingPixCorrector.cc,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

/* General */

/* SAS-specific */
#include "Tracer.h"

/* Local */
#include "NumericalRange.h"
#include "MissingPixCorrector.h"
#include "PixelIterator.h"

/* Constructor */
MissingPixCorrector::MissingPixCorrector(unsigned eefactor):
  IterEeCorrector(eefactor)
{
  PROC;
  ENDPROC;
}

/* Destructor */
MissingPixCorrector::~MissingPixCorrector()
{
  PROC;
  ENDPROC;
}

/* These  will be overridden by 
void MissingPixCorrector::filterMap()
{
  PROC;
  ENDPROC;
}


double MissingPixCorrector::eeFraction( double energy  ) const
{
  PROC;
  RETURN energy;
}
  
derived classes */
