// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// Module: NullEeCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Null implementation of an Encircled Energy Corrector class
// Returns a set of unity correction factors
//
// Modifications: See ChangeLog
// 
// $Id: NullEeCorrector.cc,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

/* General */

/* SAS-specific */
#include "Tracer.h"

/* Local */
#include "NullEeCorrector.h"

/* Constructor */
NullEeCorrector::NullEeCorrector()
{
  PROC;
  ENDPROC;
}

/* Destructor */
NullEeCorrector::~NullEeCorrector()
{
  PROC;
  ENDPROC;
}

vector<double> 
NullEeCorrector::Fraction( const vector<double>& energyvector ) const
{
  PROC;

  vector<double> factors;

  for (unsigned i = 0; i < energyvector.size(); ++i)
    {
     factors.push_back(1.0);
    }

  RETURN factors;
}
